

class DbSingleton():
    def __init__(self, host, port, username, password):
        self.host = host
        self.port = port
        self.username = username
        self.password = password
        self.pool = None        # 连接池

    def connect(self):
        print("建立连接")


db_singleton = DbSingleton('host', 'port', 'username', 'password')